name: spot-dl
services:
  app:
    image: spotdl/spotify-downloader:v4.4.3
    restart: unless-stopped
    ports:
      - target: 8800
        published: 8800
        protocol: tcp
    volumes:
      - type: bind
        source: /DATA/Media/Music
        target: /music
      - type: bind
        source: /DATA/AppData/coolstore-spotdl/config
        target: /config
    command:
      - web
      - '--host'
      - 0.0.0.0
      - '--port'
      - '8800'
      - '--web-use-output-dir'
    tty: true
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: spotDL finds songs from Spotify playlists on YouTube and downloads them - along with album art, lyrics and metadata.
  tagline:
    en_us: spotDL finds songs from Spotify playlists on YouTube and downloads them - along with album art, lyrics and metadata.
  developer: spotDL
  author: WisdomSky
  icon: https://cdn.jsdelivr.net/gh/WisdomSky/CasaOS-Coolstore@main/Apps/spot-dl/icon.svg
  thumbnail: https://cdn.jsdelivr.net/gh/WisdomSky/CasaOS-Coolstore@main/Apps/spot-dl/icon.svg
  title:
    en_us: spotDL
  tips:
    before_install:
      en_us: |
        The default download location is set to `/DATA/Media/Music`. You can change this by going into the app settings and changing the specified path.
  category: Coolstore
  port_map: '8800'
